## hatch-jupyter-builder 0.8.3

=== tests/data/create_cmdclass/myproject/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = myproject
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
hatch-jupyter-builder (0.8.3-3) unstable; urgency=medium

  * Team Upload
  * Use new Team email address

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 16:05:41 +0100

hatch-jupyter-builder (0.8.3-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Nov 2023 15:43:31 +0100

hatch-jupyter-builder (0.8.3-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Nov 2023 12:11:28 +0100

=== debian/control ===
Source: hatch-jupyter-builder
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-hatchling,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/jupyterlab/hatch-jupyter-builder
Vcs-Browser: https://salsa.debian.org/python-team/packages/hatch-jupyter-builder
Vcs-Git: https://salsa.debian.org/python-team/packages/hatch-jupyter-builder.git

Package: python3-hatch-jupyter-builder
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 npm,
Suggests:
 python-hatch-jupyter-builder-doc,
Description: Hatch build hook for building Jupyter packages
 This provides a build hook plugin for Hatch that adds a build step
 for use with Jupyter packages.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=hatch-jupyter-builder

%:
	dh $@ --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

override_dh_auto_test:
